[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TObjectBucketList.Data

Associative array of data items

## Declaration

Source position: contnrs.pp line 596

`public property TObjectBucketList.Data[AItem: TObject] : TObject read GetData write SetData; default;`

## Description

Data provides associative access to the data in the list: it returns the data object associated with the AItem object. If the AItem object is not in the list, an EListError exception is raised.

## See also

TObjectBucketList.Add |  | Add an object to the list